#
# spec file for package rubygem-amqp
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-amqp
Version:        1.7.0
Release:        bp156.3.1
%define mod_name amqp
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://rubyamqp.info
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Mature EventMachine-based RabbitMQ client
License:        BSD-2-Clause or Ruby
Group:          Development/Languages/Ruby

%description
Mature EventMachine-based RabbitMQ client.

%prep

%build

%install
%gem_install \
  --doc-files="ChangeLog.md README.md" \
  -f

%gem_packages

%changelog
* Fri Feb  3 2017 coolo@suse.com
- updated to version 1.7.0
  see installed ChangeLog.md
* Wed Apr  6 2016 coolo@suse.com
- updated to version 1.6.0
  see installed ChangeLog.md
  [#]# Changes Between 1.5.x and 1.6.0 (Apr 4th, 2016)
  [#]## amq-protocol Update
  Minimum `amq-protocol` version is now `2.0.1`.
  [#]## Provide More Details in TCP Connection Failure Exception
  Contributed by Neil Hooey.
  GH issue: [#222](https://github.com/ruby-amqp/amqp/issues/222).
  [#]## Ensures frameset is cleared after an unhandled exception
  Ensures frameset is cleared after an unhandled exception.
  This avoids confusing exceptions such as
  ```
  undefined method `method_class' for #<AMQ::Protocol::BodyFrame:0x0000001e8a60b0>
  ```
  Contributed by Michael Lutsiuk.
  GH issue: [#218](https://github.com/ruby-amqp/amqp/issues/218)
* Wed Aug 26 2015 coolo@suse.com
- updated to version 1.5.1
  see installed ChangeLog.md
* Mon Oct 13 2014 coolo@suse.com
- updated to version 1.5.0
  [#]## Only Await basic.consume-ok If nowait is false
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun Jul 13 2014 coolo@suse.com
- updated to version 1.4.1
  [#]## Server-Named Queue Recovery Fix
  Server-named queues are now correctly recovered again.
  Contributed by Jack C Hong.
  [#]# Changes Between 1.3.x and 1.4.0
  [#]## connection.blocked Support
  [connection.blocked](https://www.rabbitmq.com/connection-blocked.html) notifications
  are now correctly supported by the library.
* Sat Feb 22 2014 coolo@suse.com
- updated to version 1.3.0
  [#]## Exchange-to-Exchange Bindings Support
  amqp gem now supports [Exchange-to-Exchange Bindings](http://www.rabbitmq.com/e2e.html), a RabbitMQ
  extension.
  `AMQP::Exchange#bind` and `AMQP::Exchange#unbind` work very much like `AMQP::Queue#bind` and
  `AMQP::Queue#unbind`, with the argument exchange being the source one.
  [#]## Internal Exchange Declaration
  amqp gem now supports declaration of internal exchanges
  (used via exchange-to-exchange bindings, cannot be published to
  by clients).
  To declare an exchange as internal, add `:internal => true` to
  declaration options.
  [#]## Initial Connection Failures Retries
  Set connection status to closed on connection failure, which
  means connection retries succeed.
* Mon Jan 20 2014 coolo@suse.com
- updated to version 1.2.0
  amqp gem now supports [Authentication Failure
  Notification](http://www.rabbitmq.com/auth-notification.html). Public
  API for authentication failure handling hasn't changed.
  This extension is available in RabbitMQ 3.2+.
  [#]# basic.qos Recovery Fix
  `basic.qos` setting will now be recovered first thing after
  channel recovery, to the most recent value passed via `:prefetch` channel
  constructor option or `AMQP::Channel#prefetch`.
* Thu Dec 12 2013 coolo@suse.com
- updated to version 1.1.7
  [#]## Automatic Recovery Fix
  Automatic connection recovery now correctly recovers bindings again.
  Contributed by Devin Christensen.
  [#]# Changes Between 1.1.5 and 1.1.6
  [#]## 65535 Channels Per Connection
  amqp gem now allows for 65535 channels per connection and
  not Ruby process.
  Contributed by Neo (http://neo.com) developers.
  [#]# Changes Between 1.1.4 and 1.1.5
  [#]## channel.close is Delayed Until After Channel is Open
  This eliminates a race condition in some codebases that use
  very short lived channels.
  [#]# Changes Between 1.1.3 and 1.1.4
  [#]## ConnectionClosedError is Back
  `ConnectionClosedError` is now defined again.
* Wed Nov 27 2013 coolo@suse.com
- updated to version 1.1.5, no changelog
* Sat Nov 23 2013 coolo@suse.com
- updated to version 1.1.3
  Minimum `amq-protocol` version is now `1.9.0`.
* Fri Nov 22 2013 coolo@suse.com
- updated to version 1.1.2
  [#]## Fixed Exception in AMQP::Exchange#handle_declare_ok
  `AMQP::Exchange#handle_declare_ok` no longer raises an exception
  about undefined method `#anonymous?`.
* Fri Nov  1 2013 coolo@suse.com
- updated to version 1.1.0
  [#]## amq-protocol Update
  Minimum `amq-protocol` version is now `1.8.0` which includes
  a bug fix for messages exactly 128 Kb in size.
  [#]## AMQ::Client is Removed
  `amq-client` has been incorporated into amqp gem. `AMQ::Client` and related
  modules are no longer available.
  [#]## AMQP::Channel#confirm_select is Now Delayed
  `AMQP::Channel#confirm_select` is now delayed until after the channel
  is opened, making it possible to use it with the pseudo-synchronous
  code style.
  [#]## RabbitMQ Extensions are Now in Core
  amqp gem has been targeting RabbitMQ exclusively for a while now.
  RabbitMQ extensions are now loaded by default and will be even more
  tightly integrated in the future.
  [#]## AMQP::Channel.default is Removed
  `AMQP::Channel.default` and method_missing-based operations on the default
  channel has been removed. They've been deprecated since 0.6.
  [#]## AMQP::Channel#rpc is Removed
  `AMQP::RPC`-related code has been removed. It has been deprecated
  since 0.7.
  [#]## AMQP::Channel.on_error is Removed
  Long time deprecated `AMQP::Channel.on_error` is removed.
* Sun Oct 20 2013 coolo@suse.com
- updated to version 1.0.3
* Thu May  9 2013 coolo@suse.com
- updated to version 1.0.2
  * [API] All public API bits deprecated in 0.8.0 are COMPLETELY REMOVED
* Wed Nov  7 2012 cfarrell@suse.com
- license update: BSD-2-Clause or Ruby
  Package claims to be under the same license as Ruby and even points to
  the URL for the Ruby license. In the past couple of months the license of
  Ruby changed from GPL-2.0 or Ruby to BSD-2-Clause or Ruby
* Sun Oct 28 2012 coolo@suse.com
- updated to version 0.9.8, basically rewritten - see CHANGELOG
* Tue Jul 10 2012 jatan@suse.de
- Add provides for rubygem-amqp-0_6
* Thu Jun 10 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Mar 25 2010 mrueckert@suse.de
- initial package
